## python-pywcs 1.11

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/pywcs.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/pywcs.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

## python-pywcs 1.10

=== debian/changelog ===
python-pywcs (1.10-1) unstable; urgency=low

  * New package. Closes: #641635

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 17 Oct 2011 11:54:00 +0100

=== debian/control ===
Source: python-pywcs
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: python-all-dev (>= 2.6.6-3~), debhelper (>= 7.0.50~), 
 python-nose, wcslib-dev (>= 4.7), python-numpy, python-pyfits
Standards-Version: 3.9.2
Homepage: https://trac6.assembla.com/astrolib
Vcs-Git: git://git.debian.org/git/debian-science/packages/python-pywcs.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/python-pywcs.git

Package: python-pywcs
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: Set of routines for handling the FITS WCS standard
 This is a thin wrapper around the high- and mid-level  interfaces of 
 Dr. Mark Calabretta's WCSLIB for handling the World Coordinate System.
 .
 In addition, there are extensions (written in C) to support Spitzer
 Simple Imaging Polynomial (SIP) convention keywords and Paper IV table
 lookup distortion.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_test:
	python setup.py build_ext -i && nosetests tests/test.py

=== debian/watch ===
# watch control file for uscan
version=3
http://trac.assembla.com/astrolib .+/pywcs-(.+)-.+\.tar\.gz debian debian/download_tests.sh

## python-pywcs 1.11

=== debian/changelog ===
python-pywcs (1.11-1) unstable; urgency=low

  * New upstream version 1.11-4.8.2
  * Rebuild using pysupport
  * Set DM-Upload-Allowed: yes

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 04 Jun 2012 08:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <debian@liska.ath.cx>
+DM-Upload-Allowed: yes
 Build-Depends: python-all-dev (>= 2.6.6-3~), debhelper (>= 7.0.50~), 
- python-nose, wcslib-dev (>= 4.7), python-numpy, python-pyfits
-Standards-Version: 3.9.2
+ python-support, python-nose, wcslib-dev (>= 4.7), python-pyfits, python-numpy
+XS-Python-Version: >= 2.6
+Standards-Version: 3.9.3
 Homepage: https://trac6.assembla.com/astrolib
 Vcs-Git: git://git.debian.org/git/debian-science/packages/python-pywcs.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/python-pywcs.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_test:
	python setup.py build_ext -i && nosetests lib/pywcs/tests/test.py

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy

=== debian/watch ===
# watch control file for uscan
version=3
http://trac.assembla.com/astrolib .+/pywcs-(.+)-.+\.tar\.gz debian uupdate

## python-pywcs 1.12

=== debian/changelog ===
python-pywcs (1.12-7) unstable; urgency=low

  * Compatibility with pyfits_3.4.

 -- Ole Streicher <olebole@debian.org>  Fri, 05 Feb 2016 15:34:36 +0100

python-pywcs (1.12-6) unstable; urgency=low

  * Add nose and pyfits to CI test dependencies
  * Update standards version to 3.9.7. No changes needed.
  * Use https for VCS fields

 -- Ole Streicher <olebole@debian.org>  Fri, 05 Feb 2016 12:59:52 +0100

python-pywcs (1.12-5) unstable; urgency=low

  * Include unit test.

 -- Ole Streicher <olebole@debian.org>  Fri, 05 Feb 2016 09:57:13 +0100

python-pywcs (1.12-3) unstable; urgency=medium

  * Include the definition of "struct tabprm". Closes: #809286
  * Mention astropy as replacement package.

 -- Ole Streicher <olebole@debian.org>  Tue, 29 Dec 2015 10:28:20 +0100

python-pywcs (1.12-2) unstable; urgency=low

  * Convert from python-support to dh_python
  * Update maintainers e-mail address
  * Update standards version to 3.9.6. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Apr 2015 13:12:30 +0200

python-pywcs (1.12-1) unstable; urgency=low

  * New upstream version. Closes: #730869

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 05 May 2014 15:09:02 +0200

python-pywcs (1.11-2) unstable; urgency=low

  * Set standard version to 3.9.5. No changes needed.
  * Set debhelper compat to 9

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 18 Mar 2014 16:05:03 +0100

=== debian/control ===
Source: python-pywcs
Section: python
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
	       dh-python,
               python-all-dev (>= 2.6.6-3~),
               python-nose,
               python-numpy,
               python-pyfits,
               wcslib-dev (>= 4.7)
XS-Python-Version: >= 2.6
Standards-Version: 3.9.7
Homepage: https://trac6.assembla.com/astrolib
Vcs-Git: https://anonscm.debian.org/debian-astro/packages/python-pywcs.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/python-pywcs.git/

Package: python-pywcs
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: Set of routines for handling the FITS WCS standard
 This is a thin wrapper around the high- and mid-level  interfaces of
 Dr. Mark Calabretta's WCSLIB for handling the World Coordinate System.
 .
 In addition, there are extensions (written in C) to support Spitzer
 Simple Imaging Polynomial (SIP) convention keywords and Paper IV table
 lookup distortion.
 .
 Note that the development of this package has been stopped in favour of
 the astropy package. The astropy package offers a fully compatible
 superset of pywcs as module `astropy.wcs`.

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python -c "import pywcs; pywcs.test()"
Depends: python-pywcs, python-nose, python-pyfits
Restrictions: allow-stderr

=== debian/watch ===
# watch control file for uscan
version=3
http://pypi.debian.net/pywcs/pywcs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
